libgit-repository-perl_1.323-1_all.deb


Advertisement

Description

libgit-repository-perl - Perl interface to Git repositories

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libgit-repository-perl_1.323-1_all.deb
Package name libgit-repository-perl
Package version 1.323
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl
Homepage https://metacpan.org/release/Git-Repository
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 55.88 KB
Installed size 117.00 KB
Git::Repository is a Perl interface to Git, for scripted interactions with
repositories. It's a low-level interface that allows calling any Git command,
whether porcelain or plumbing, including bidirectional commands such as git
commit-tree.

Alternatives

Package Version Architecture Repository
libgit-repository-perl_1.323-1_all.deb 1.323 all Debian Main
libgit-repository-perl - - -

Requires

Name Value
git -
libgit-version-compare-perl -
libnamespace-clean-perl -
libsystem-command-perl >= 1.118
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgit-repository-perl_1.323-1_all.deb
Source Package libgit-repository-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgit-repository-perl deb package:
    # sudo apt-get install libgit-repository-perl

Files

Path
/usr/share/doc/libgit-repository-perl/NEWS.Debian.gz
/usr/share/doc/libgit-repository-perl/changelog.Debian.gz
/usr/share/doc/libgit-repository-perl/changelog.gz
/usr/share/doc/libgit-repository-perl/copyright
/usr/share/doc/libgit-repository-perl/examples/build-git.gz
/usr/share/man/man3/Git::Repository.3pm.gz
/usr/share/man/man3/Git::Repository::Command.3pm.gz
/usr/share/man/man3/Git::Repository::Plugin.3pm.gz
/usr/share/man/man3/Git::Repository::Tutorial.3pm.gz
/usr/share/man/man3/Test::Git.3pm.gz
/usr/share/perl5/Git/Repository.pm
/usr/share/perl5/Git/Repository/Command.pm
/usr/share/perl5/Git/Repository/Plugin.pm
/usr/share/perl5/Git/Repository/Tutorial.pod
/usr/share/perl5/Test/Git.pm

Changelog

2018-11-26 - gregor herrmann <gregoa@debian.org>
libgit-repository-perl (1.323-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.323.
* Drop git-2.19-errors.patch, fixed in this release.
2018-08-29 - gregor herrmann <gregoa@debian.org>
libgit-repository-perl (1.322-2) unstable; urgency=medium
* Team upload.
* Add patch to fix tests with changed error messages from git 2.19.
Thanks to ci.debian.net.
* Declare compliance with Debian Policy 4.2.1.
2018-07-26 - Lucas Kanashiro <kanashiro@debian.org>
libgit-repository-perl (1.322-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.322
* Bump debhelper compatibility level to 11
* Declare compliance with Debin Policy 4.1.5
* Update years of upstream copyright
* Drop unneeded patch, fixed by upstream
2018-04-03 - gregor herrmann <gregoa@debian.org>
libgit-repository-perl (1.321-2) unstable; urgency=medium
* Team upload.
[ Damyan Ivanov ]
* declare conformance with Policy 4.1.3 (no changes needed)
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
[ gregor herrmann ]
* Add patch to adjust test to changed Git error messages.
Patch taken from upstream pull request. (Closes: #894727)
* Bump debhelper compatibility level to 10.
2017-10-25 - Damyan Ivanov <dmn@debian.org>
libgit-repository-perl (1.321-1) unstable; urgency=medium
[ Alex Muntada ]
* Remove inactive pkg-perl members from Uploaders.
[ Damyan Ivanov ]
* New upstream version 1.321
* add myself to Uploaders
* update years of upstream copyright
* declare conformance with Policy 4.1.1
2016-07-22 - Salvatore Bonaccorso <carnil@debian.org>
libgit-repository-perl (1.320-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.320
* Adjust required version for libsystem-command-perl to (>= 1.118)
2016-05-22 - Salvatore Bonaccorso <carnil@debian.org>
libgit-repository-perl (1.319-1) unstable; urgency=medium
* Team upload.
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.
[ Salvatore Bonaccorso ]
* Import upstream version 1.319
* Add Build-Depends-Indep on libtest-requires-git-perl
2016-05-01 - gregor herrmann <gregoa@debian.org>
libgit-repository-perl (1.318-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* Import upstream version 1.318
[ gregor herrmann ]
* Drop unneeded version constraint from libmodule-build-perl build
dependency. Already satisfied in oldstable.
* Add new (build) dependencies.
* Update debian/upstream/metadata.
* Declare compliance with Debian Policy 3.9.8.
2016-02-15 - gregor herrmann <gregoa@debian.org>
libgit-repository-perl (1.317-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* Import upstream version 1.317.
* Drop spelling.patch, merged upstream.
* Update years of upstream copyright.
* Install new example script.
* Declare compliance with Debian Policy 3.9.7.
2015-12-02 - gregor herrmann <gregoa@debian.org>
libgit-repository-perl (1.316-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.316
* Drop Git-Repository-1.315-git-2.5.2-compat.patch which was taken from
upstream bug tracker.
* Bump debhelper compatibility level to 9.
* Add a patch to fix a spelling mistake in the POD.

See Also

Package Description
libgit-repository-plugin-log-perl_1.314-1_all.deb Git::Repository plugin adding log items
libgit-sub-perl_0.163320-2_all.deb git commands imported as System::Sub subs in the git:: namespace
libgit-version-compare-perl_1.004-1_all.deb module to compare Git versions
libgit-wrapper-perl_0.048-1_all.deb Perl module to wrap git command-line interface
libgit2-27_0.27.7+dfsg.1-0.2_i386.deb low-level Git library
libgit2-dev_0.27.7+dfsg.1-0.2_i386.deb low-level Git library (development files)
libgit2-glib-1.0-0_0.27.7-1_i386.deb glib wrapper library around the libgit2 git access library
libgit2-glib-1.0-dev_0.27.7-1_i386.deb glib wrapper library around the libgit2 git access library - development files
libgit2-glib-1.0-doc_0.27.7-1_all.deb glib wrapper library around the libgit2 git access library - documentation
libgitlab-api-v4-perl_0.16-1_all.deb GitLab API v4 module and command-line client
libgivaro-dev_4.0.4-2_i386.deb arithmetic and algebraic computations - development files
libgivaro-doc_4.0.4-2_all.deb Documentation for Givaro
libgivaro9_4.0.4-2_i386.deb arithmetic and algebraic computations
libgiza0_1.1.0-1_i386.deb Lightweight scientific plotting library (shared library)
libgjs-dev_1.54.3-1_i386.deb Mozilla-based javascript bindings for the GNOME platform
Advertisement
Advertisement